## artwork-lnf-theme-netrunner-core 0+p20201123+git20201207.1920

=== CMakeLists.txt ===
project(PlasmaLightTheme)

cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)

# Macro to print feature summary
include(FeatureSummary)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Find ECM
find_package(ECM 1.5.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

# Set version
set(THEME_VERSION_MAJOR 0)
set(THEME_VERSION_MINOR 1)
set(THEME_VERSION_PATCH 0)
set(THEME_VERSION_STRING "${THEME_VERSION_MAJOR}.${THEME_VERSION_MINOR}.${THEME_VERSION_PATCH}")

# Installation directories
include(KDEInstallDirs)

# Add custom uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

# Set up packaging
set(CPACK_PACKAGE_NAME "netrunner-lnf")
set(CPACK_PACKAGE_VERSION "${THEME_VERSION_STRING}")
set(CPACK_GENERATOR "TGZ")
set(CPACK_SET_DESTDIR FALSE)
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
set(CPACK_SOURCE_IGNORE_FILES "/build/;/.git;/*.user;/.tx/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include(CPack)
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

# Minimum version requirements
set(QT_MIN_VERSION "5.4.0")
set(KF5_MIN_VERSION "5.5.0")

# Find KF5
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Plasma)

# Subdirectories
add_subdirectory(aurorae)
add_subdirectory(look-and-feel)
add_subdirectory(plasma)
add_subdirectory(wallpapers)

# Display featute summary
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== aurorae/CMakeLists.txt ===
install(DIRECTORY Netrunner-Core DESTINATION ${CMAKE_INSTALL_PREFIX}/share/aurorae/themes)

=== look-and-feel/CMakeLists.txt ===
install(DIRECTORY org.kde.netrunner-core.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/plasma/look-and-feel)

=== plasma/CMakeLists.txt ===
add_subdirectory(netrunner-lnf)

=== wallpapers/CMakeLists.txt ===
install(DIRECTORY Netrunner DESTINATION ${WALLPAPER_INSTALL_DIR})

=== plasma/netrunner-lnf/CMakeLists.txt ===
install(FILES colors metadata.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/plasma/desktoptheme/chromeo/)
install(DIRECTORY dialogs icons widgets DESTINATION ${CMAKE_INSTALL_PREFIX}/share/plasma/desktoptheme/chromeo)

=== debian/changelog ===
artwork-lnf-theme-netrunner-core (0+p20201123+git20201207.1920) 2101+amd64; urgency=medium

  * Automatic Debian CI Build

 -- Debian CI <null@debian.org>  Mon, 07 Dec 2020 19:20:06 +0000

artwork-lnf-theme-netrunner-core (0) unstable; urgency=medium

  * Initial Release.

 -- Rohan Garg <rohan@kde.org>  Wed, 24 Aug 2016 12:13:02 +0200

=== debian/control ===
Source: artwork-lnf-theme-netrunner-core
Section: unknown
Priority: optional
Maintainer: Rohan Garg <rohan@kde.org>
Build-Depends: cmake, debhelper (>= 9), extra-cmake-modules, libkf5plasma-dev
Standards-Version: 3.9.8
Homepage: https://github.com/netrunner-artwork/artwork-lnf-theme-netrunner-core
Vcs-Git: https://github.com/netrunner-artwork/artwork-lnf-theme-netrunner-core
Vcs-Browser: https://github.com/netrunner-artwork/artwork-lnf-theme-netrunner-core

Package: artwork-lnf-theme-netrunner-core
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: look-and-feel theme for Netrunner Core
 This package contains the look-and-feel theme for Netrunner Core
